> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didit.me/llms.txt
> Use this file to discover all available pages before exploring further.

# デジタルIDウォレット認証のキャンセル

> Diditのスタンドアロン型デジタルIDウォレット認証APIを使って、保留中の認証をキャンセルするリクエストを送信します。

ユーザーがアプリケーション内で保留中のウォレット認証を放棄した場合は、このエンドポイントを呼び出してください。
認証を開始したアプリケーションに属するAPIキーで認証してください。

完了済みの認証との競合でキャンセルが優先されたと想定せず、返された結果を確認してください。
キャンセルは、すでに完了した本人確認を取り消す手段ではありません。

連携の全体的な流れについては、[デジタルIDウォレットAPI](https://docs.didit.me/ja/standalone-apis/digital-id-wallets.md)を参照してください。


## OpenAPI

````yaml ja/openapi-25.json POST /v3/id-verification/wallets/verifications/{request_id}/cancel/
openapi: 3.0.0
info:
  version: 3.0.0
  title: Didit Verification API
  description: 本人確認API。x-api-keyヘッダーで認証します。
servers:
  - url: https://verification.didit.me
security: []
tags: []
paths:
  /v3/id-verification/wallets/verifications/{request_id}/cancel/:
    post:
      tags:
        - Digital ID wallets
      summary: ウォレット検証をキャンセル
      description: >-
        保留中の認証を取り消します。キャンセルとして却下され、請求されることはありません。判定済みの認証は変更されずに返されます。Smart-IDおよびMobile-ID：ポーリングがサインインを確認している最中にキャンセルが届いた場合、そのポーリングを数秒待ってから却下します。ユーザーがすでに確認していた場合は認証済みとして返します。ユーザーが現在完了しようとしている認証はキャンセルできません（Retry-Afterを伴う409
        verification_in_progress）。その秒数が経過した後に再試行して結果を取得してください。
      operationId: cancel_wallet_verification
      parameters:
        - in: path
          name: request_id
          schema:
            type: string
            format: uuid
          description: 開始エンドポイントが返したrequest_idです。
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DigitalIdWalletApiWalletVerificationResponse
              example:
                request_id: 00000000-0000-4000-8000-000000000001
                wallet_verification:
                  wallet:
                    id: ftn
                    name: Finnish Trust Network
                    issuing_authority: Finnish banks and mobile operators (FTN)
                  country: FIN
                  status: Declined
                  outcome: cancelled
                  error: cancelled_by_customer
                  interaction: redirect
                  simulated: false
                  expires_at: '2026-01-01T10:10:00Z'
                  next_action: null
                  identity: null
                  attributes: null
                  level_of_assurance: null
                  verified_at: null
                  signature_valid: null
                  credential_type: person_identification
                vendor_data: your-customer-reference
                metadata:
                  reference: example
                created_at: '2026-01-01T10:00:00Z'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DigitalIdWalletApiClientCredentialsForbiddenErrorMessage
          description: '認証情報がありません（x-api-keyまたはAuthorization: Bearer）。'
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DigitalIdWalletApiWalletVerificationError'
          description: エラーnot_found：このアプリケーションのウォレット認証に、このrequest_idを持つものはありません。
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DigitalIdWalletApiWalletVerificationError'
          description: >-
            エラーverification_in_progress：ユーザーが現在このサインインを完了しようとしています。Retry-Afterヘッダーが再試行のタイミングを示します。再試行すると、判定済みの認証が返されます。
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request POST \
              --url https://verification.didit.me/v3/id-verification/wallets/verifications/REQUEST_ID/cancel/ \
              --header 'x-api-key: YOUR_API_KEY'
        - lang: python
          label: Python
          source: |-
            from didit import Didit

            # Reads DIDIT_API_KEY.
            client = Didit()

            result = client.id_wallets.cancel_verification(
                "11111111-2222-3333-4444-555555555555",
            )
            print(result)
        - lang: javascript
          label: Node.js
          source: >-
            import Didit from "@didit-protocol/sdk-node";


            // Reads DIDIT_API_KEY.

            const didit = new Didit();


            const result = await
            didit.idWallets.cancelVerification("11111111-2222-3333-4444-555555555555");

            console.log(result);
        - lang: go
          label: Go
          source: "ctx := context.Background()\n// Reads DIDIT_API_KEY.\nclient := didit.NewClient()\n\nresult, err := client.IDWallets.CancelVerification(ctx, \"11111111-2222-3333-4444-555555555555\")\nif err != nil {\n\tlog.Fatal(err)\n}\nfmt.Printf(\"%+v\\n\", result)"
        - lang: java
          label: Java
          source: >-
            import me.didit.Didit;


            // Reads DIDIT_API_KEY.

            Didit client = new Didit();


            var result =
            client.idWallets().cancelVerification("11111111-2222-3333-4444-555555555555");

            System.out.println(result);
        - lang: php
          label: PHP
          source: >-
            <?php


            require 'vendor/autoload.php';


            use Didit\DiditClient;


            // Reads DIDIT_API_KEY.

            $didit = new DiditClient();


            $result =
            $didit->idWallets->cancelVerification('11111111-2222-3333-4444-555555555555');

            print_r($result->toArray());
        - lang: ruby
          label: Ruby
          source: >-
            require "didit"


            # Reads DIDIT_API_KEY.

            didit = Didit::Client.new


            result =
            didit.id_wallets.cancel_verification("11111111-2222-3333-4444-555555555555")

            puts result.to_h
        - lang: csharp
          label: .NET
          source: >-
            using System;

            using System.Text.Json;

            using Didit;


            // Reads DIDIT_API_KEY.

            using var client = new DiditClient();


            var result = await
            client.IdWallets.CancelVerificationAsync("11111111-2222-3333-4444-555555555555");

            Console.WriteLine(JsonSerializer.Serialize(result));
components:
  schemas:
    DigitalIdWalletApiWalletVerificationResponse:
      type: object
      description: すべてのウォレットエンドポイントが返す形式の、単独のウォレット検証1件です。
      properties:
        request_id:
          type: string
          format: uuid
        wallet_verification:
          $ref: '#/components/schemas/DigitalIdWalletApiWalletVerificationResult'
        vendor_data:
          type: string
          nullable: true
        metadata:
          type: object
          additionalProperties: {}
          nullable: true
          description: 開始時に送信されたmetadataオブジェクト、またはnullです。
        created_at:
          type: string
          format: date-time
      required:
        - created_at
        - metadata
        - request_id
        - vendor_data
        - wallet_verification
    DigitalIdWalletApiClientCredentialsForbiddenErrorMessage:
      type: object
      properties:
        detail:
          type: string
          default: Forbidden - User doesn't have permission
    DigitalIdWalletApiWalletVerificationError:
      type: object
      properties:
        error:
          type: string
          description: '安定した機械可読コード（例: wallet_unavailable）。'
        detail:
          type: string
      required:
        - detail
        - error
    DigitalIdWalletApiWalletVerificationResult:
      type: object
      properties:
        wallet:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiWallet'
          readOnly: true
        country:
          type: string
        status:
          type: string
          description: 保留中はNot Finished、その後Approved（認証済み）またはDeclinedになります。
        outcome:
          $ref: >-
            #/components/schemas/DigitalIdWalletApiWalletVerificationResultOutcomeEnum
        error:
          type: string
          nullable: true
          readOnly: true
        interaction:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiInteractionEnum'
          readOnly: true
        simulated:
          type: boolean
          readOnly: true
        expires_at:
          type: string
          format: date-time
        next_action:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiWalletNextAction'
          nullable: true
          readOnly: true
        identity:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiWalletIdentity'
          nullable: true
          readOnly: true
        attributes:
          type: object
          additionalProperties: {}
          nullable: true
          readOnly: true
        level_of_assurance:
          type: string
          nullable: true
        verified_at:
          type: string
          format: date-time
          nullable: true
        signature_valid:
          type: boolean
          nullable: true
          description: クレデンシャルの署名が検証されるとtrue、シミュレートされたものの場合はnull。
        credential_type:
          type: string
          nullable: true
      required:
        - attributes
        - country
        - credential_type
        - error
        - expires_at
        - identity
        - interaction
        - level_of_assurance
        - next_action
        - outcome
        - signature_valid
        - simulated
        - status
        - verified_at
        - wallet
    DigitalIdWalletApiWallet:
      type: object
      properties:
        id:
          type: string
          description: 'ウォレットのカタログID（例: bankid_se）。'
        name:
          type: string
        issuing_authority:
          type: string
          nullable: true
      required:
        - id
        - issuing_authority
        - name
    DigitalIdWalletApiWalletVerificationResultOutcomeEnum:
      enum:
        - pending
        - verified
        - cancelled
        - timeout
        - failed
      type: string
      description: |-
        * `pending` - 保留中
        * `verified` - 検証済み
        * `cancelled` - ユーザーによりキャンセル
        * `timeout` - タイムアウト
        * `failed` - 失敗
    DigitalIdWalletApiInteractionEnum:
      enum:
        - redirect
        - in_app
        - digital_credentials
      type: string
      description: |-
        * `redirect` - redirect
        * `in_app` - in_app
        * `digital_credentials` - digital_credentials
    DigitalIdWalletApiWalletNextAction:
      type: object
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiWalletNextActionTypeEnum'
          description: >-
            redirect：ユーザーのブラウザをurlに遷移させます。confirm_in_app：verification_codeをユーザーに表示します。ユーザーはそれがウォレットアプリ内のコードと一致することを確認し、ウォレットアプリで承認します。その後、ポーリングしてください。request_digital_credential：開始時と同じオリジン上で、ユーザー操作の中でdigital_credentials.requestを使ってウォレットにリクエストし、返された内容をPOST
            .../verifications/{request_id}/response/に送信します。


            * `redirect` - redirect

            * `confirm_in_app` - confirm_in_app

            * `request_digital_credential` - request_digital_credential
        url:
          type: string
          format: uri
          description: redirectのみ：ユーザーがウォレットでサインインする場所。
        digital_credentials:
          allOf:
            - $ref: >-
                #/components/schemas/DigitalIdWalletApiWalletDigitalCredentialsRequest
          description: request_digital_credentialのみ：ウォレットに渡すリクエスト。
        verification_code:
          type: string
          description: confirm_in_appのみ：ウォレットアプリにも表示される4桁の照合コード。
        poll_interval_seconds:
          type: integer
          description: >-
            confirm_in_appのみ：迅速なフィードバックを得るためにPOST
            .../verifications/{request_id}/poll/を呼び出す間隔。Diditは保留中のサインインもバックグラウンドでポーリングするため、ポーリングしない場合でもWebhookが結果を通知します。
      required:
        - type
    DigitalIdWalletApiWalletIdentity:
      type: object
      properties:
        full_name:
          type: string
          nullable: true
        first_name:
          type: string
          nullable: true
        last_name:
          type: string
          nullable: true
        date_of_birth:
          type: string
          format: date
          nullable: true
        nationality:
          type: string
          nullable: true
          description: ISO3形式の国籍。ウォレットが国籍を示している場合のみ返されます（推測されることはありません）。
        issuing_state:
          type: string
          description: IDを発行したスキームの国を示すISO3コード。
      required:
        - date_of_birth
        - first_name
        - full_name
        - issuing_state
        - last_name
        - nationality
    DigitalIdWalletApiWalletNextActionTypeEnum:
      enum:
        - redirect
        - confirm_in_app
        - request_digital_credential
      type: string
      description: |-
        * `redirect` - redirect
        * `confirm_in_app` - confirm_in_app
        * `request_digital_credential` - request_digital_credential
    DigitalIdWalletApiWalletDigitalCredentialsRequest:
      type: object
      properties:
        protocol:
          type: string
          description: openid4vp-v1-signed。
        request:
          type: object
          additionalProperties: {}
          description: >-
            そのまま渡してください。ブラウザではnavigator.credentials.get({digital:
            request})、AndroidではGetDigitalCredentialOptionのrequestJsonとしてJSON.stringify(request)を使用します。Diditがお客様のアプリケーション向けに署名しています。
      required:
        - protocol
        - request
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        お客様のアプリケーションのAPIキーです。Business ConsoleのDevelopers -> API
        keysで取得できます。プライマリキーはフルアクセス権を持ちます。名前付きキーにはスコープを設定できます。リソースごとのアクセス権（なし、読み取り、書き込み）、一部のワークフローまたは承認済みセッションへの限定、IPアドレスのリストへの限定、有効期限の設定です。401は、キーが誤っている、失効している、または期限切れであることを意味します。403は、キーが送信されていない、キーにこのリソースやアクションへのアクセス権がない、またはIPリスト外のアドレスからリクエストが送信されたことを意味します。セッションのルートでの404は、セッションがキーのワークフローまたはステータスの対象外であることを意味します。メディアへのアクセス権がないキーでは、画像、動画、PDFのURLがnullで返されます。セッションの書き込み権限がないキーでは、セッションのリンクとトークンがnullで返されます。詳細は次を参照してください:
        https://docs.didit.me/console/api-keys
    BearerAuth:
      type: http
      scheme: bearer
      description: アプリケーションのクライアントクレデンシャルのアクセストークン。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.